Tenancy
Create an invitation
POST /v1/invitations · SDK createOrganizationInvitation · CLI deployments invitation create
POST
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512application/json- body
email*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
length <= 254expiresAt?stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timerole*stringValue in
"admin""billing""member""owner""viewer"IssuedOrganizationInvitationResponse
application/json- response
createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeupdatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeversion*integerRange
1 <= valueacceptedAt?stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeacceptedByPrincipalId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$email*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
length <= 254expiresAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeid*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$invitedByPrincipalId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$organizationId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$revokedAt?stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timerole*stringValue in
"admin""billing""member""owner""viewer"status*stringValue in
"accepted""expired""pending""revoked"secretVisibleOnce*trueValue in
truetoken*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 1024curl -X POST "https://example.com/v1/invitations" \ -H "x-deployments-organization: string" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{ "email": "string", "role": "admin" }'{ "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "version": 1, "acceptedAt": "2019-08-24T14:15:22Z", "acceptedByPrincipalId": "string", "email": "string", "expiresAt": "2019-08-24T14:15:22Z", "id": "string", "invitedByPrincipalId": "string", "organizationId": "string", "revokedAt": "2019-08-24T14:15:22Z", "role": "admin", "status": "accepted", "secretVisibleOnce": true, "token": "string"}